﻿

/* Card */
.beItem[data-itemname="Card"] {
    box-shadow: none;
    background-color: transparent;
}

    .beItem[data-itemname="Card"] .beItemContent {
        display: flex;
        flex-direction: column;
        height: 100%;
    }

    .beItem[data-itemname="Card"] .text-wrapper {
        display: flex;
        flex-direction: column;
        flex: 1;
    }

    .beItem[data-itemname="Card"] .text-content {
        display: flex;
        flex-direction: column;
        flex: 1;
    }

    .beItem[data-itemname="Card"] .beFieldDataTypecKEditorText {
        padding: 35px 0 35px 0;
    }

    .beItem[data-itemname="Card"] .beItemCardContentLink {
        padding: 8px 14px;
        color: var(--ButtonLinkColor);
        text-decoration: none;
        line-height: 1.4;
        cursor: pointer;
        background-color: var(--LinkColor);
        border: none;
        border-radius: 0;
        font-weight: 400;
        display: block;
        width: fit-content;
        margin: auto auto 35px auto;
        position: relative;
        z-index: 20;
    }

    .beItem[data-itemname="Card"] .beItemCardContentLink:hover {
        background-color: var(--LinkHoverColor);
        border: none;
    }

    .beItem[data-itemname="Card"].hasOverlayLink:hover {
        background-color: transparent;
    }

    .beItem[data-itemname="Card"].hasOverlayLink:hover img {
        opacity: 1;
    }

    .beItem.hasOverlayLink[data-itemname="Card"]:hover {
        background-color: rgba(59, 110, 175, 0.2);
    }


    /* Card Style Yellow */
    .cardStyleBorderYellow .beItem[data-itemname="Card"] {
        border: 1px solid #FCD695;
    }

    .cardStyleBorderYellow .beItem[data-itemname="Card"] .beFieldDataTypecKEditorText {
        padding: 35px;
    }

        .cardStyleBorderYellow .beItem[data-itemname="Card"] .beFieldDataTypecKEditorText h2 {
            min-height: 95px;
        }


@media (max-width: 600px) {
    .cardStyleBorderYellow .beItem[data-itemname="Card"] .beFieldDataTypecKEditorText h2 {
        min-height: initial;
    }

    .cardStyleBorderYellow .beItem[data-itemname="Card"] .beFieldDataTypecKEditorText {
        padding: 15px 15px 25px 15px;
    }
}

/* End Card */

/* IamgeGallery */

.beImageGalleryImageContainer {
    background: none;
}

/* End ImageGallery*/

/* Forms */

input,
textarea,
select {
    background: rgba(7, 16, 31, 0.82);
    border: 1px solid rgba(252, 214, 149, 0.22);
    color: #fff;
    padding: 14px 16px;
    transition: border-color .25s ease, background-color .25s ease, box-shadow .25s ease;
    outline: none;
}

/* End Forms*/

/* Margin of a slider if followed by row container*/
[data-itemname="ImageSlider"]:has(+ [data-containertype="Row"]),
[data-itemname="ImageComparison"]:has(+ [data-containertype="Row"]) {
    margin-bottom: 50px;
}

@media (max-width: 600px) {
    [data-itemname="ImageSlider"]:has(+ [data-containertype="Row"]),
    [data-itemname="ImageComparison"]:has(+ [data-containertype="Row"]) {
        margin-bottom: initial;
    }
}


/* layoutStylePlainContentBackgroundYellow */
.BlockEditorFullScreenWidthEnabled .blockEditor > .beContainer.layoutStylePlainContentBackgroundYellow {
    max-width: calc(var(--StandardMainContainerWidth, 1230px) - 100px);
    margin-bottom: 50px;
    margin-top: 50px;
    padding-top: 30px;
    background-color: #FCD695;
}

@media screen and (max-width: 1530px) {
    .BlockEditorFullScreenWidthEnabled .blockEditor > .beContainer.layoutStylePlainContentBackgroundYellow {
        margin-left: 50px;
        margin-right: 50px;
    }
}

@media screen and (max-width: 769.9px) {
    .BlockEditorFullScreenWidthEnabled .blockEditor > .beContainer.layoutStylePlainContentBackgroundYellow {
        margin-left: 35px;
        margin-right: 35px;
    }
}

@media screen and (max-width: 500px) {
    .BlockEditorFullScreenWidthEnabled .blockEditor > .beContainer.layoutStylePlainContentBackgroundYellow {
        margin-left: 25px;
        margin-right: 25px;
    }
}

.BlockEditorFullScreenWidthEnabled .blockEditor > .beContainer.layoutStylePlainContentBackgroundYellow .button {
    background-color: #0E193C;
    border: 1px solid #0E193C;
    color: #FCD695;
}

.BlockEditorFullScreenWidthEnabled .blockEditor > .beContainer.layoutStylePlainContentBackgroundYellow .button:hover {
    background-color: var(--LinkHoverColor);
    border: 1px solid var(--LinkHoverColor);
}

.BlockEditorFullScreenWidthEnabled .blockEditor > .beContainer.layoutStylePlainContentBackgroundYellow h1
.BlockEditorFullScreenWidthEnabled .blockEditor > .beContainer.layoutStylePlainContentBackgroundYellow h2,
.BlockEditorFullScreenWidthEnabled .blockEditor > .beContainer.layoutStylePlainContentBackgroundYellow h3,
.BlockEditorFullScreenWidthEnabled .blockEditor > .beContainer.layoutStylePlainContentBackgroundYellow p {
    color: #0E193C;
}

/* End layoutStylePlainContentBackgroundYellow */


/* ButtonRechts */
.ButtonRechts .beFieldDataTypecKEditorText {
    display: grid;
    grid-template-columns: 1fr auto;
    column-gap: 40px;
}

.ButtonRechts .beFieldDataTypecKEditorText h1
.ButtonRechts .beFieldDataTypecKEditorText h2,
.ButtonRechts .beFieldDataTypecKEditorText h3,
.ButtonRechts .beFieldDataTypecKEditorText p {
    grid-column: 1;
    padding: 0;
}

.ButtonRechts .beFieldDataTypecKEditorText p:has(.button) {
    grid-column: 2;
    display: flex;
    align-items: flex-start;
}

.ButtonRechts .beFieldDataTypecKEditorText .button {
    margin: 0;
}

@media screen and (max-width: 1023.9px) {
    .ButtonRechts .beFieldDataTypecKEditorText {
        display: block; /* switch from grid to block for stacking */
    }

        .ButtonRechts .beFieldDataTypecKEditorText h1,
        .ButtonRechts .beFieldDataTypecKEditorText h2,
        .ButtonRechts .beFieldDataTypecKEditorText h3,
        .ButtonRechts .beFieldDataTypecKEditorText p {
            grid-column: auto;
            display: block;
            margin-bottom: 15px;
        }

    .ButtonRechts .beFieldDataTypecKEditorText p:has(.button) {
        grid-column: auto; 
        display: block; 
 
    }

  
}

/* End ButtonRechts */


.beItemContainer[data-itemname="Breadcrumbs"] .breadcrumbNav {
    border-bottom: 1px solid #FCD695;
    padding-bottom: 10px;
}